rio-0.1.18.0: A standard library for Haskell

Safe Haskell | Safe
Language | Haskell2010

RIO.NonEmpty.Partial

Contents

- Indexing streams
- Converting to and from a list

Description

`NonEmpty` list partial functions. Import as:

    import qualified RIO.NonEmpty.Partial as NE'

Synopsis

- (!!) :: NonEmpty a -> Int -> a
- fromList :: [a] -> NonEmpty a

# Indexing streams

(!!) :: NonEmpty a -> Int -> a #

# Converting to and from a list

fromList :: [a] -> NonEmpty a #